
Showroom Mobile Banking - Bug #14730

Format of number is wrong in showroom App 

10 November 2022 09:53 AM - See Liang Lim

Status: Pending SIT Start date: 10 November 2022

Priority: Normal Due date:  

Assignee: See Liang Lim % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: Future, R1 Branch Code: showroom-proj-base-i5

Description

1) Login into the Showroom App. I am using ver 2.0.0.0.5

2) I login using the following ID : mobility003 , pwd : abcd1234 (User name is OLIVIA)

3) click on the Accounts link (at bottom) on the homepage

4) View the total amount summary , the amount is not correct due to decimal and the , seperator. The value displayed is very very

long and incorrect

Expected results

-----------------

1) The total amount is the summation of the all the available accounts of the user with the proper 2 decimal places and , seperator.

Hi Dextor, may assign it to the appropriate developer

History

#1 - 10 November 2022 10:19 AM - Hoo Dextor

- Status changed from New to Assigned

- Assignee changed from Hoo Dextor to Megat AhmadSalehudin

- Phase R1 added

#2 - 10 November 2022 12:44 PM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r219876 | ahmadsalehudin | 2022-11-10 12:41:54 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/loan-financing/loan-listing.t

s

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/accounts/CASA/CASA-listing.ts

Megat - Bug #14730 - Format of number is wrong in showroom App

Root Cause: Previously, FE only check if decimal places length only at 2 thus caused the issue

Solution: Check for length of decimal places if more than 2, then handle the decimal places accordingly
https://dev.silverlakemobility.com/redmine/issues/14730


#3 - 16 November 2022 09:44 PM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

- Assignee changed from Hoo Dextor to See Liang Lim

Released v2.0.0.0.8 SIT

#4 - 16 November 2022 09:45 PM - Megat AhmadSalehudin

Released v2.0.0.0.8 SIT
